Gets hydrocarbon flows, cumulative hydrocarbon production volumes, and economic performance indicators on each of the project, contractor and working interest level for all full cycle analyses associated with a prospect analysis by parent prospect analysis ID.
Security
bearer and appkey
- https://eu-api.delfi.slb.com/sparhttps://eu-api.delfi.slb.com/spar/assessments/v1/fullcycleanalysisaggregation
- Mock serverhttps://developer.slb.com/_mock/solutions/opportunity-assessor/apis/reporting-by-unit-and-analysis/assessments/v1/fullcycleanalysisaggregation
curl -i -X POST \
https://eu-api.delfi.slb.com/spar/assessments/v1/fullcycleanalysisaggregation \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-contract-id: My-contract-ID' \
-d '{
"version": "string",
"parentIds": [
0
]
}'OK
Array []
The version of the Full Cycle analysis. Allowed values are A (approved), H (historical), T (test), W (working).
projectResultsobject(FullCycleResultDto)
A data transfer object (DTO) representing the results of a full cycle analysis.
workingInterestResultsobject(ExtendedFullCycleResultDto)
A data transfer object (DTO) representing the extended set of full cycle result. Contains hydrocarbon flow results.
contractorResultsobject(ExtendedFullCycleResultDto)
A data transfer object (DTO) representing the extended set of full cycle result. Contains hydrocarbon flow results.
Response
[
{
"id": 0,
"name": "string",
"modifiedDate": "2019-08-24T14:15:22Z",
"modifiedUserName": "string",
"modifiedRealName": "string",
"createdDate": "2019-08-24T14:15:22Z",
"createdUserName": "string",
"createdRealName": "string",
"version": "string",
"parentAnalysisId": 0,
"parentAnalysisName": "string",
"parentFolderId": 0,
"parentFolderName": "string",
"projectResults": {
"economicPerformanceIndicators": {
"property1": {
"distributionTypeValue": 0,
"distributionTypeShortName": "string",
"mode": 0.1,
"mean": 0.1,
"standardDeviation": 0.1,
"probabilityValues": {
"property1": 0.1,
"property2": 0.1
}
},
"property2": {
"distributionTypeValue": 0,
"distributionTypeShortName": "string",
"mode": 0.1,
"mean": 0.1,
"standardDeviation": 0.1,
"probabilityValues": {
"property1": 0.1,
"property2": 0.1
}
}
},
"cumulativeHydrocarbonProduction": {
"property1": {
"distributionTypeValue": 0,
"distributionTypeShortName": "string",
"mode": 0.1,
"mean": 0.1,
"standardDeviation": 0.1,
"probabilityValues": {
"property1": 0.1,
"property2": 0.1
}
},
"property2": {
"distributionTypeValue": 0,
"distributionTypeShortName": "string",
"mode": 0.1,
"mean": 0.1,
"standardDeviation": 0.1,
"probabilityValues": {
"property1": 0.1,
"property2": 0.1
}
}
}
},
"workingInterestResults": {
"economicPerformanceIndicators": {
"property1": {
"distributionTypeValue": 0,
"distributionTypeShortName": "string",
"mode": 0.1,
"mean": 0.1,
"standardDeviation": 0.1,
"probabilityValues": {
"property1": 0.1,
"property2": 0.1
}
},
"property2": {
"distributionTypeValue": 0,
"distributionTypeShortName": "string",
"mode": 0.1,
"mean": 0.1,
"standardDeviation": 0.1,
"probabilityValues": {
"property1": 0.1,
"property2": 0.1
}
}
},
"cumulativeHydrocarbonProduction": {
"property1": {
"distributionTypeValue": 0,
"distributionTypeShortName": "string",
"mode": 0.1,
"mean": 0.1,
"standardDeviation": 0.1,
"probabilityValues": {
"property1": 0.1,
"property2": 0.1
}
},
"property2": {
"distributionTypeValue": 0,
"distributionTypeShortName": "string",
"mode": 0.1,
"mean": 0.1,
"standardDeviation": 0.1,
"probabilityValues": {
"property1": 0.1,
"property2": 0.1
}
}
},
"hcFLowResults": {
"property1": {
"mean": 0.1
},
"property2": {
"mean": 0.1
}
}
},
"contractorResults": {
"economicPerformanceIndicators": {
"property1": {
"distributionTypeValue": 0,
"distributionTypeShortName": "string",
"mode": 0.1,
"mean": 0.1,
"standardDeviation": 0.1,
"probabilityValues": {
"property1": 0.1,
"property2": 0.1
}
},
"property2": {
"distributionTypeValue": 0,
"distributionTypeShortName": "string",
"mode": 0.1,
"mean": 0.1,
"standardDeviation": 0.1,
"probabilityValues": {
"property1": 0.1,
"property2": 0.1
}
}
},
"cumulativeHydrocarbonProduction": {
"property1": {
"distributionTypeValue": 0,
"distributionTypeShortName": "string",
"mode": 0.1,
"mean": 0.1,
"standardDeviation": 0.1,
"probabilityValues": {
"property1": 0.1,
"property2": 0.1
}
},
"property2": {
"distributionTypeValue": 0,
"distributionTypeShortName": "string",
"mode": 0.1,
"mean": 0.1,
"standardDeviation": 0.1,
"probabilityValues": {
"property1": 0.1,
"property2": 0.1
}
}
},
"hcFLowResults": {
"property1": {
"mean": 0.1
},
"property2": {
"mean": 0.1
}
}
}
}
]